> For the complete documentation index, see [llms.txt](https://docs.vomevolunteer.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vomevolunteer.com/resources/editor-3/list-all-form-submissions.md).

# List all form submissions

This endpoint provides a comprehensive list of form submissions, including detailed insights into what a user responded to a Vome form.&#x20;

#### **Endpoint and Request Method**:

* **GET** `/api/form-submissions/`
* Access this endpoint to retrieve a paginated list of form submissions along with associated details.

1. **Example Request**:
   * `GET https://api.vomevolunteer.com/api/form-submissions/`
2. **Authorization**:
   * Requests to this endpoint require an `API-KEY` in the header for authentication.

```python
headers = {
    "API-KEY": "your_unique_api_key_here"
}
response = requests.get("https://api.vomevolunteer.com/api/form-submissions/", headers=headers)
```

**Response Structure**:

<pre class="language-json"><code class="lang-json">{
    "count": 848,
    "next": "https://api.vomevolunteer.com/api/form-submissions/?page=2",
    "previous": null,
    "results": [
<strong>        {
</strong>        "id": "60c5e52b-e680-4b62-adc1-207e4ced130f",
        "user": {
            "id": "443f05ad-b1be-43bc-a213-3483471bc7fa",
            "first_name": "Lara",
            "last_name": "Smith",
            "email": "lara_smith@domain.com",
            "gender": 0,
            "address": "2934 Thurlow Road, Hampstead, Montreal, QC, Canada",
            "phone_number": "929384838",
            "date_of_birth": "1973-03-04",
            "timezone": "America/Toronto",
            "address_coordinates": [
                "45.4787326",
                "-73.6406602"
            ]
        },
        "submission_status": "New",
        "created_at": "2024-10-30T21:19:53.069586Z",  
        "sites": [
             {
                    "id": "f3277763-8f13-43a1-9276-358d810d2a9b",
                    "title": "Site A"
                }
            
            ],
        "categories": [
            {
                "id": "65e619c4-94a8-4259-877d-ecc0ca3c0822",
                "title": "Events &#x26; Prizes"
            },
          
            ]
        },
        "arrival_source": {
            "id": "182e2f04-0d3c-4637-89a7-c6dbae95e90f",
            "category": {
                "id": "c82cd6c8-0b5a-48af-853d-0a57e6954969",
                "title": "Title of Category A",
                "description": "Description of Category A"
            },
            "title": "Opportunity Title A",
            "description": "Description of Title A"
        },
        "questions": [
            {
                "id": "6d51d684-70a0-4d3e-a5ef-db61025e03de",
                "question": {
                    "id": "d56d80ac-7665-49bd-b7f1-ddd6873377bd",
                    "title": "If applicable, describe your previously involvement here.",
                    "question_type": 0,
                    "options": []
                },
                "answer": "",
                "options": [],
                "responded": false
            },
               {
                    "id": "24fec7ab-b5a6-4803-9f92-73e2aa9983d3",
                    "question": {
                        "id": "c9cf2681-17e0-4924-a1ae-97af4315d335",
                        "title": "Decide the necessary percentages here?",
                        "question_type": 10,
                        "options": [
                            "Trees",
                            "Forest",
                            "Water"
                        ],
                        "allocation_input_type": 1,
                        "allocation_total": "100.0000",
                        "allocation_decimal_places": 2
                    },
                    "answer": "",
                    "options": [],
                    "date": null,
                    "responded": true,
                    "allocation_values": {
                        "Trees": "10.00",
                        "Forest": "70.00",
                        "Water": "20.00"
                    },
                    "auto_populated_lists": []
                },
            {
                    "id": "70893686-0feb-421a-9808-212191799ed8",
                    "question": {
                        "id": "8edd39f0-a30d-4952-90ff-1b8cd1fff550",
                        "title": "What opportunities are you interested in?",
                        "question_type": 11,
                        "options": []
                    },
                    "answer": "",
                    "options": [],
                    "date": null,
                    "responded": true,
                    "allocation_values": null,
                    "auto_populated_lists": [
                        {
                            "id": "a79d14ff-6611-4229-b244-f8151efd275f",
                            "title": "12-h volunteers"
                        },
                        {
                            "id": "53fb7d1c-11c0-41af-bad0-be0962588cf8",
                            "title": "Administrator"
                        }
                    ]
                },
            {
                "id": "24666398-306d-4058-a058-50364af12c06",
                "question": {
                    "id": "3a25e1ab-fb49-49d1-ab6a-690e03e5a5cd",
                    "title": "Which days of the week would you like to join us?",
                    "question_type": "Checkbox",
                    "options": [
                        "Thursday",
                        "Tuesday/Thurs",
                        "Friday"
                    ]
                },
                "answer": "",
                "options": [
                    "Friday"
                ],
                "responded": true
            }
        ],
        "medical_info": null,
        "emergency_contact": {
            "name": "Daniel",
            "relationship": "Dad",
            "phone_number": "9389393898"
        },
        "digital_consent": [
            {
                "id": "dc6a12a3-10da-49b7-bdf9-51514439f063",
                "digital_consent_info": null,
                "consent_status": 3 //Not provided
            }
        ],
        "general_availability": [
            {
                "id": "7b8cca42-fcfd-4566-9715-7a9ec57132bf",
                "day": 2, //Tuesday
                "availability": "Morning"
            }
            ],
        "attachments": [
            {
                "id": "6c93e611-7e06-4aeb-9e30-fdad10126c2b",
                "document_file": null,
                "notes": "",
                "attachment_info": {
                    "id": "854c5709-af07-49bd-b653-6a17154d192e",
                    "title": "Drivers License",
                    "description": ""
                }
            }
        ],
        "opportunities": [
            {
                "opportunity": {
                    "id": "6dd9de34-eee5-48dc-a684-edef63f7cd61",
                    "category": {
                        "id": "c82cd6c8-0b5a-48af-853d-0a57e6954969",
                        "title": "Category Title A",
                        "description": "Description of Category Title A"
                    },
                    "title": "Opportunity Title A",
                    "description": "Description of Opportunity Title A"
                },
                "opportunity_shifts_count": 1
            },
        ],
        "folder": {
            "name": "Basketball Program"
        },
        "form": {
            "id": "b4078162-9d3c-41fa-abbb-aada180c87d5",
            "title": "Form Title A"
        }
}
    ]
}
</code></pre>

The response provides a summary count and pagination details along with an array of submission records. Each record includes user information, submission status, question responses, consent details, availability, and any attachments.

**Form Submissions Object Structure**

* **count (**`integer`**)**: Indicates the total number of form submissions available.
* **next (**`string | null`**)**: Provides the URL to the next page of form submissions if more pages are available.
* **previous (**`string | null`**)**: Provides the URL to the previous page of form submissions if applicable.
* **results (**`array of Submission Detail Objects`**)**: Contains detailed information for each form submission entry.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vomevolunteer.com/resources/editor-3/list-all-form-submissions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
